package com.ssm.manage.dao.impl;

import com.ssm.manage.dao.SsmStoreStatisticDao;
import com.ssm.manage.entity.StoreParament;
import com.ssm.manage.extendEntity.MemberStatistic;
import com.ssm.manage.extendEntity.ProjectLists;
import com.ssm.manage.extendEntity.ProjectStatistic;
import com.ssm.manage.mapper.StoreStatisticMapper;
import com.ssm.manage.query.AccountTradeRecordRequest;
import com.ssm.manage.query.CourseAccountRequest;
import com.ssm.manage.query.ProjectListsRequest;
import com.ssm.manage.utils.Constant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class SsmStoreStatisticDaoImpl implements SsmStoreStatisticDao {
    @Autowired
    private StoreStatisticMapper mapper;

    @Override
    public List<MemberStatistic> selectMemberList(AccountTradeRecordRequest accountTradeRecordRequest) {
        return mapper.selectMemberList(accountTradeRecordRequest);
    }

    @Override
    public List<ProjectStatistic> selectProjectList(AccountTradeRecordRequest accountTradeRecordRequest) {
        return mapper.selectProjectList(accountTradeRecordRequest);
    }
    @Override
    public List<ProjectStatistic> selectProjectLists(AccountTradeRecordRequest accountTradeRecordRequest) {
        return mapper.selectProjectLists(accountTradeRecordRequest);
    }
    @Override
    public List<ProjectLists> selectProjectLists1(ProjectListsRequest projectListsRequest) {
        return mapper.selectProjectLists1(projectListsRequest);
    }
    @Override
    public List<ProjectLists> selectProjectLists2(Long storeId,String allowValidt) {
        return mapper.selectProjectLists2(storeId,allowValidt);
    }
    @Override
    public List<ProjectLists> selectProjectLists3(ProjectListsRequest projectListsRequest) {
        return mapper.selectProjectLists3(projectListsRequest);
    }

}
